code-saturne_5.3.2+repack-1_i386.deb


Advertisement

Description

code-saturne - General purpose Computational Fluid Dynamics (CFD) software

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename code-saturne_5.3.2+repack-1_i386.deb
Package name code-saturne
Package version 5.3.2+repack
Package release 1
Package architecture i386
Package type deb
Category science
Homepage http://www.code-saturne.org/
License -
Maintainer Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Download size 55.86 KB
Installed size 65.00 KB
The basic capabilities of Code_Saturne enable the handling of either
incompressible or expandable flows with or without heat transfer and
turbulence. Dedicated modules are available for specific physics such
as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
magneto-hydrodynamics, compressible flows, two-phase flows
(Euler-Lagrange approach with two-way coupling), extensions to
specific applications (e.g. Mercure_Saturne for atmospheric
environment).
It runs in parallel with MPI on distributed memory machines.
Developed since 1997 at EDF R&D, it is based on a co-located Finite
Volume approach that accepts meshes with any type of cell
(tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
type of grid structure (unstructured, block structured, hybrid,
conforming or with hanging nodes, ...).

Alternatives

Package Version Architecture Repository
code-saturne_5.3.2+repack-1_amd64.deb 5.3.2+repack amd64 Debian Main
code-saturne - - -

Requires

Name Value
code-saturne-bin = 5.3.2+repack-1
code-saturne-data = 5.3.2+repack-1
code-saturne-include = 5.3.2+repack-1
python-qt4 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package code-saturne_5.3.2+repack-1_i386.deb
Source Package code-saturne

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install code-saturne deb package:
    # sudo apt-get install code-saturne

Files

Path
/usr/share/doc/code-saturne/AUTHORS.gz
/usr/share/doc/code-saturne/NEWS.Debian.gz
/usr/share/doc/code-saturne/NEWS.md.gz
/usr/share/doc/code-saturne/QUALITY_ASSURANCE
/usr/share/doc/code-saturne/README.md.gz
/usr/share/doc/code-saturne/changelog.Debian.gz
/usr/share/doc/code-saturne/copyright

Changelog

2019-02-02 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.2+repack-1) unstable; urgency=medium
* New upstream release
* Drop patches applied upstream:
- fix-doxygen-conf.patch
- fix-autoconf-mpi.patch
* d/rules: update clean target
2019-01-20 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-8) unstable; urgency=medium
* New patch fix-doxygen-conf.patch to avoid full source path remaining
into the doxygen generated documentation
* Fix double doc install
2019-01-17 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-7) unstable; urgency=medium
* dedian/rules:
- Use /bin/echo to generate epoch.tex, to achieve the same behavior
whatever the default shell is
- Separate targets for arch independent builds
2019-01-16 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-6) unstable; urgency=medium
* Fix FTBFS when building architecture specific packages only
2019-01-16 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-5) unstable; urgency=medium
* Use dh sequencer instead of cdbs
* Compat level 11
* code-saturne-doc: install ple documentation
* Reproducible builds:
- Disable rpath at build time
- Set the pdf date after SOURCE_DATE_EPOCH
- Drop dpkg-buildflags from ple-config and cs_config.py
- Build path cleanup in the generated documentation
2019-01-06 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-4) unstable; urgency=medium
* New patch to fix MPI detection: configure should fail when MPI
support is explicitly requested and MPI is not found.
2019-01-06 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-3) unstable; urgency=medium
* Fix MPI detection
2018-12-26 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-2) unstable; urgency=medium
* Move syrthes to Suggests from Recommends as this package won't make
it in Buster
* Bump Standards-Version to 4.3.0 (no changes)
2018-12-14 - Gilles Filippini <pini@debian.org>
code-saturne (5.3.1+repack-1) unstable; urgency=medium
* New upstream version
2018-10-09 - Gilles Filippini <pini@debian.org>
code-saturne (5.2.1+repack-1) unstable; urgency=medium
* New upstream version

See Also

Package Description
code2html_0.9.1-4.1_all.deb Syntax highlighter
codeblocks-common_16.01+dfsg-2.1_all.deb common files for Code::Blocks IDE
codeblocks-contrib_16.01+dfsg-2.1_i386.deb contrib plugins for Code::Blocks IDE
codeblocks-dev_16.01+dfsg-2.1_i386.deb Code::Blocks development files (SDK)
codeblocks_16.01+dfsg-2.1_i386.deb Code::Blocks integrated development environment (IDE)
codec2-examples_0.8.1-2_all.deb Codec2 sample data and examples
codec2_0.8.1-2_i386.deb command line tools for handling Codec2 data
codecgraph_20120114-3_all.deb Generates graphviz graphs from HDA-Intel codec information
codecrypt_1.8-1_i386.deb post-quantum encryption and signing tool
codegroup_19981025-8_i386.deb Convert any file, including binary, into 5 letter code
codelite-plugins_12.0+dfsg-1_i386.deb Powerful and lightweight IDE - plugins
codelite_12.0+dfsg-1_i386.deb Powerful and lightweight IDE
codequery_0.21.1+dfsg1-1_i386.deb code-understanding, code-browsing or code-search tool
coderay_1.1.2-2_all.deb Helper programs for CodeRay Ruby lib for syntax highlighting
codesearch_0.0~hg20120502-3+b11_i386.deb regular expression search over large bodies of source code
Advertisement
Advertisement